import { defineComponent, $setup, $prefix } from "@opentinyvue/vue-common";
import PcTemplate from "./pc.js";
import MobileFirstTemplate from "./mobile-first.js";
import "@opentinyvue/vue-theme/anchor/index.css";
var template = function template2(mode) {
  var _process$env;
  var tinyMode = typeof process === "object" ? (_process$env = process.env) == null ? void 0 : _process$env.TINY_MODE : null;
  if ("pc" === (tinyMode || mode)) {
    return PcTemplate;
  }
  if ("mobile-first" === (tinyMode || mode)) {
    return MobileFirstTemplate;
  }
  return PcTemplate;
};
var anchorProps = {
  isAffix: {
    type: Boolean,
    default: false
  },
  links: {
    type: Array,
    default: function _default() {
      return [];
    }
  },
  containerId: {
    type: String,
    default: ""
  },
  markClass: {
    type: String,
    default: ""
  },
  type: {
    type: String,
    default: "line"
  },
  offsetTop: {
    type: Number,
    default: 0
  }
};
var Anchor = defineComponent({
  name: $prefix + "Anchor",
  props: anchorProps,
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
});
var version = "2.undefined";
Anchor.install = function(Vue) {
  Vue.component(Anchor.name, Anchor);
};
Anchor.version = version;
export {
  Anchor as default
};
